# 物品（武器）

**EcoItems** 前身是由 **EcoItems（Legacy）**&#x548C; **EcoWeapon** 两个插件合并而成的，因此本质上它更侧重于武器的制作，虽然也能做盔甲，但还是不推荐。在本篇教程中，统一将插件原本的武器（Weapons）视作物品（Items）以便于理解。

自定义物品配置可以在 `plugins/EcoItems/items` 文件夹中找到，它的文件名称即为 **物品id**，其一般配置如下：

```
item:
  item: sea_lantern unbreaking:1 hide_enchants hide_attributes
  displayName: "<gradient:11998e>Armor Core</gradient:38ef7d>"
  lore:
    - "&8Required to craft"
    - "&8Armor Sets"
  craftable: true
  recipe:
    - ecoitems:enchanted_emerald
    - copper_block
    - amethyst_shard
    - copper_block
    - prismarine_crystals
    - copper_block
    - amethyst_shard
    - copper_block
    - ecoitems:enchanted_emerald

baseDamage: 0
baseAttackSpeed: 1

effects: [ ]
conditions: [ ]

fuels: [ ]
```

* **baseDamage：**&#x7269;品的基础伤害。
* **baseAttackSpeed：**&#x7269;品的基础攻击速度。

{% hint style="info" %}
默认情况下不是攻击的武器以上两个值直接填写1即可。

以上两个值只对近战攻击有效，远程攻击的伤害修改请见后文。
{% endhint %}

* **item：**&#x7269;品的设置。下面的各个子键在 **护身符和盔甲** 一节基本已经重复多次，不再赘述。
* **fuels：**&#x7269;品的燃料，填写其他的物品 **id**。玩家每次使用该物品都会消耗燃料，没有燃料将无法使用该物品。
* **effects/conditions：**&#x54;he Effect System（自定义技能系统）的内容，将在后文介绍。
* **effectiveDurability：**&#x7269;品的耐久。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.superiormc.cn/ecox-doc/yi-ban-pei-zhi-ge-shi/wu-pin-wu-qi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
